Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFSetOCGStateAction

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFIdentifiedDictionary
                  org.apache.fop.pdf.PDFNavigatorAction
                      org.apache.fop.pdf.PDFSetOCGStateAction

All Implemented Interfaces:
  PDFWritable

    public class PDFSetOCGStateAction

extends PDFNavigatorAction

Nested Class Summary
`static class` | `PDFSetOCGStateAction.Resolver`

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFSetOCGStateAction(java.lang.String id)`

Method Summary
`int` | `output(java.io.OutputStream stream)` Write the PDF represention of this object
`void` | `populate(java.lang.Object state, java.lang.Object preserveRB, java.lang.Object nextAction)`
`void` | `setResolver(PDFSetOCGStateAction.Resolver resolver)`

Methods inherited from class org.apache.fop.pdf.PDFIdentifiedDictionary
`getId, hasId`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFSetOCGStateAction

    public PDFSetOCGStateAction(java.lang.String id)

Method Detail

### output

    public int output(java.io.OutputStream stream)
               throws java.io.IOException

  Description copied from class: `PDFDictionary`
  Write the PDF represention of this object

  Overrides:
    `output` in class `PDFDictionary`
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written
  Throws:
    `java.io.IOException` - if there is an error writing to the stream

### setResolver

    public void setResolver(PDFSetOCGStateAction.Resolver resolver)

### populate

    public void populate(java.lang.Object state,
                         java.lang.Object preserveRB,
                         java.lang.Object nextAction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.